ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.58 by root, Sun Jan 1 06:18:20 2006 UTC vs.
Revision 1.67 by root, Wed Jan 11 23:08:54 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions 896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 897 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 898 --enable-iso14755 enable support for extended ISO 14755 modes
4097fi 4097fi
4098 4098
4099fi 4099fi
4100 4100
4101 4101
4102echo "$as_me:$LINENO: checking for sched_yield" >&5
4103echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4104if test "${ac_cv_func_sched_yield+set}" = set; then
4105 echo $ECHO_N "(cached) $ECHO_C" >&6
4106else
4107 cat >conftest.$ac_ext <<_ACEOF
4108/* confdefs.h. */
4109_ACEOF
4110cat confdefs.h >>conftest.$ac_ext
4111cat >>conftest.$ac_ext <<_ACEOF
4112/* end confdefs.h. */
4113/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4114 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4115#define sched_yield innocuous_sched_yield
4116
4117/* System header to define __stub macros and hopefully few prototypes,
4118 which can conflict with char sched_yield (); below.
4119 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4120 <limits.h> exists even on freestanding compilers. */
4121
4122#ifdef __STDC__
4123# include <limits.h>
4124#else
4125# include <assert.h>
4126#endif
4127
4128#undef sched_yield
4129
4130/* Override any gcc2 internal prototype to avoid an error. */
4131#ifdef __cplusplus
4132extern "C"
4133{
4134#endif
4135/* We use char because int might match the return type of a gcc2
4136 builtin and then its argument prototype would still apply. */
4137char sched_yield ();
4138/* The GNU C library defines this for functions which it implements
4139 to always fail with ENOSYS. Some functions are actually named
4140 something starting with __ and the normal name is an alias. */
4141#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4142choke me
4143#else
4144char (*f) () = sched_yield;
4145#endif
4146#ifdef __cplusplus
4147}
4148#endif
4149
4150int
4151main ()
4152{
4153return f != sched_yield;
4154 ;
4155 return 0;
4156}
4157_ACEOF
4158rm -f conftest.$ac_objext conftest$ac_exeext
4159if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4160 (eval $ac_link) 2>conftest.er1
4161 ac_status=$?
4162 grep -v '^ *+' conftest.er1 >conftest.err
4163 rm -f conftest.er1
4164 cat conftest.err >&5
4165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4166 (exit $ac_status); } &&
4167 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4168 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4169 (eval $ac_try) 2>&5
4170 ac_status=$?
4171 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4172 (exit $ac_status); }; } &&
4173 { ac_try='test -s conftest$ac_exeext'
4174 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4175 (eval $ac_try) 2>&5
4176 ac_status=$?
4177 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4178 (exit $ac_status); }; }; then
4179 ac_cv_func_sched_yield=yes
4180else
4181 echo "$as_me: failed program was:" >&5
4182sed 's/^/| /' conftest.$ac_ext >&5
4183
4184ac_cv_func_sched_yield=no
4185fi
4186rm -f conftest.err conftest.$ac_objext \
4187 conftest$ac_exeext conftest.$ac_ext
4188fi
4189echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4190echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4191if test $ac_cv_func_sched_yield = yes; then
4192 :
4193else
4194 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4195echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4196if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4197 echo $ECHO_N "(cached) $ECHO_C" >&6
4198else
4199 ac_check_lib_save_LIBS=$LIBS
4200LIBS="-lrt $LIBS"
4201cat >conftest.$ac_ext <<_ACEOF
4202/* confdefs.h. */
4203_ACEOF
4204cat confdefs.h >>conftest.$ac_ext
4205cat >>conftest.$ac_ext <<_ACEOF
4206/* end confdefs.h. */
4207
4208/* Override any gcc2 internal prototype to avoid an error. */
4209#ifdef __cplusplus
4210extern "C"
4211#endif
4212/* We use char because int might match the return type of a gcc2
4213 builtin and then its argument prototype would still apply. */
4214char sched_yield ();
4215int
4216main ()
4217{
4218sched_yield ();
4219 ;
4220 return 0;
4221}
4222_ACEOF
4223rm -f conftest.$ac_objext conftest$ac_exeext
4224if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4225 (eval $ac_link) 2>conftest.er1
4226 ac_status=$?
4227 grep -v '^ *+' conftest.er1 >conftest.err
4228 rm -f conftest.er1
4229 cat conftest.err >&5
4230 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4231 (exit $ac_status); } &&
4232 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4233 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4234 (eval $ac_try) 2>&5
4235 ac_status=$?
4236 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4237 (exit $ac_status); }; } &&
4238 { ac_try='test -s conftest$ac_exeext'
4239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4240 (eval $ac_try) 2>&5
4241 ac_status=$?
4242 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4243 (exit $ac_status); }; }; then
4244 ac_cv_lib_rt_sched_yield=yes
4245else
4246 echo "$as_me: failed program was:" >&5
4247sed 's/^/| /' conftest.$ac_ext >&5
4248
4249ac_cv_lib_rt_sched_yield=no
4250fi
4251rm -f conftest.err conftest.$ac_objext \
4252 conftest$ac_exeext conftest.$ac_ext
4253LIBS=$ac_check_lib_save_LIBS
4254fi
4255echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4256echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4257if test $ac_cv_lib_rt_sched_yield = yes; then
4258 LIBS="$LIBS -lrt"
4259fi
4260
4261fi
4262
4263
4102echo "$as_me:$LINENO: checking for sched_yield support" >&5 4264echo "$as_me:$LINENO: checking for sched_yield support" >&5
4103echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6 4265echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4104cat >conftest.$ac_ext <<_ACEOF 4266cat >conftest.$ac_ext <<_ACEOF
4105/* confdefs.h. */ 4267/* confdefs.h. */
4106_ACEOF 4268_ACEOF
4157 4319
4158MALLOC_TYPE=S 4320MALLOC_TYPE=S
4159 4321
4160support_addstrings=no 4322support_addstrings=no
4161support_frills=yes 4323support_frills=yes
4162support_inheritpixmap=no 4324support_inheritpixmap=yes
4163support_tinting=yes 4325support_tinting=yes
4164support_fading=yes 4326support_fading=yes
4165support_keepscrolling=yes 4327support_keepscrolling=yes
4166support_selectionscrolling=yes 4328support_selectionscrolling=yes
4167support_menubar=no 4329support_menubar=no
4175support_scroll_rxvt=yes 4337support_scroll_rxvt=yes
4176support_scroll_next=yes 4338support_scroll_next=yes
4177support_scroll_xterm=yes 4339support_scroll_xterm=yes
4178support_scroll_plain=yes 4340support_scroll_plain=yes
4179support_xim=yes 4341support_xim=yes
4180support_xpm=no 4342support_xpm=yes
4181support_xft=yes 4343support_xft=yes
4182support_unicode3=no 4344support_unicode3=no
4183support_combining=yes 4345support_combining=yes
4184support_8bitctrls=no 4346support_8bitctrls=no
4185support_iso14755=yes 4347support_iso14755=yes
4186support_styles=yes 4348support_styles=yes
4349support_perl=yes
4187codesets=all 4350codesets=all
4188 4351
4189 4352
4190if test "x$enable_shared" = xyes; then 4353if test "x$enable_shared" = xyes; then
4191 4354
4227 support_unicode3=no 4390 support_unicode3=no
4228 support_combining=no 4391 support_combining=no
4229 support_8bitctrls=no 4392 support_8bitctrls=no
4230 support_iso14755=no 4393 support_iso14755=no
4231 support_styles=no 4394 support_styles=no
4395 support_perl=no
4232 codesets= 4396 codesets=
4233 fi 4397 fi
4234 if test x$enableval = xyes; then 4398 if test x$enableval = xyes; then
4235 support_24bit=yes 4399 support_24bit=yes
4236 support_frills=yes 4400 support_frills=yes
4257 support_unicode3=yes 4421 support_unicode3=yes
4258 support_combining=yes 4422 support_combining=yes
4259 #support_8bitctrls=yes 4423 #support_8bitctrls=yes
4260 support_iso14755=yes 4424 support_iso14755=yes
4261 support_styles=yes 4425 support_styles=yes
4426 support_perl=yes
4262 codesets=all 4427 codesets=all
4263 fi 4428 fi
4264 4429
4265fi; 4430fi;
4266 4431
4382 if test x$enableval = xyes -o x$enableval = xno; then 4547 if test x$enableval = xyes -o x$enableval = xno; then
4383 support_scroll_xterm=$enableval 4548 support_scroll_xterm=$enableval
4384 fi 4549 fi
4385fi; 4550fi;
4386 4551
4552# Check whether --enable-perl or --disable-perl was given.
4553if test "${enable_perl+set}" = set; then
4554 enableval="$enable_perl"
4555 if test x$enableval = xyes -o x$enableval = xno; then
4556 support_perl=$enableval
4557 fi
4558fi;
4559
4387# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4560# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4388if test "${enable_plain_scroll+set}" = set; then 4561if test "${enable_plain_scroll+set}" = set; then
4389 enableval="$enable_plain_scroll" 4562 enableval="$enable_plain_scroll"
4390 if test x$enableval = xyes -o x$enableval = xno; then 4563 if test x$enableval = xyes -o x$enableval = xno; then
4391 support_scroll_plain=$enableval 4564 support_scroll_plain=$enableval
4460 enableval="$enable_resources" 4633 enableval="$enable_resources"
4461 if test x$enableval = xno; then 4634 if test x$enableval = xno; then
4462 4635
4463cat >>confdefs.h <<\_ACEOF 4636cat >>confdefs.h <<\_ACEOF
4464#define NO_RESOURCES 1 4637#define NO_RESOURCES 1
4465_ACEOF
4466
4467 fi
4468fi;
4469
4470# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4471if test "${enable_xgetdefault+set}" = set; then
4472 enableval="$enable_xgetdefault"
4473 if test x$enableval = xyes; then
4474
4475cat >>confdefs.h <<\_ACEOF
4476#define USE_XGETDEFAULT 1
4477_ACEOF 4638_ACEOF
4478 4639
4479 fi 4640 fi
4480fi; 4641fi;
4481 4642
7134 7295
7135 7296
7136 7297
7137 7298
7138 7299
7300
7301
7139for ac_header in \ 7302for ac_header in \
7140 assert.h \ 7303 assert.h \
7141 fcntl.h \ 7304 fcntl.h \
7142 grp.h \ 7305 grp.h \
7143 libc.h \ 7306 libc.h \
7156 sys/time.h \ 7319 sys/time.h \
7157 utmp.h \ 7320 utmp.h \
7158 utmpx.h \ 7321 utmpx.h \
7159 stdint.h \ 7322 stdint.h \
7160 pty.h \ 7323 pty.h \
7324 util.h \
7325 libutil.h \
7161 wchar.h \ 7326 wchar.h \
7162 cwchar \ 7327 cwchar \
7163 clocale \ 7328 clocale \
7164 7329
7165do 7330do
10029 seteuid \ 10194 seteuid \
10030 setreuid \ 10195 setreuid \
10031 setsid \ 10196 setsid \
10032 setpgrp \ 10197 setpgrp \
10033 setpgid \ 10198 setpgid \
10034 openpty \
10035 _getpty \ 10199 _getpty \
10200 posix_openpt \
10036 grantpt \ 10201 grantpt \
10037 unlockpt \ 10202 unlockpt \
10038 isastream \ 10203 isastream \
10039 on_exit \ 10204 on_exit \
10040 nanosleep \ 10205 nanosleep \
11821#define XIMCB_PROTO_BROKEN 1 11986#define XIMCB_PROTO_BROKEN 1
11822_ACEOF 11987_ACEOF
11823 11988
11824fi 11989fi
11825 11990
11991if test x$rxvt_cv_func_posix_openpt = xno; then
11826echo "$as_me:$LINENO: checking for getpt" >&5 11992 echo "$as_me:$LINENO: checking for openpty" >&5
11827echo $ECHO_N "checking for getpt... $ECHO_C" >&6 11993echo $ECHO_N "checking for openpty... $ECHO_C" >&6
11828if test "${rxvt_cv_func_getpt+set}" = set; then 11994if test "${ac_cv_func_openpty+set}" = set; then
11829 echo $ECHO_N "(cached) $ECHO_C" >&6 11995 echo $ECHO_N "(cached) $ECHO_C" >&6
11830else 11996else
11831 cat >conftest.$ac_ext <<_ACEOF 11997 cat >conftest.$ac_ext <<_ACEOF
11832/* confdefs.h. */ 11998/* confdefs.h. */
11833_ACEOF 11999_ACEOF
11834cat confdefs.h >>conftest.$ac_ext 12000cat confdefs.h >>conftest.$ac_ext
11835cat >>conftest.$ac_ext <<_ACEOF 12001cat >>conftest.$ac_ext <<_ACEOF
11836/* end confdefs.h. */ 12002/* end confdefs.h. */
11837#define _GNU_SOURCE 12003/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
11838#ifdef HAVE_STDLIB_H 12004 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11839# include <cstdlib> 12005#define openpty innocuous_openpty
12006
12007/* System header to define __stub macros and hopefully few prototypes,
12008 which can conflict with char openpty (); below.
12009 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12010 <limits.h> exists even on freestanding compilers. */
12011
12012#ifdef __STDC__
12013# include <limits.h>
12014#else
12015# include <assert.h>
11840#endif 12016#endif
12017
12018#undef openpty
12019
12020/* Override any gcc2 internal prototype to avoid an error. */
12021#ifdef __cplusplus
12022extern "C"
12023{
12024#endif
12025/* We use char because int might match the return type of a gcc2
12026 builtin and then its argument prototype would still apply. */
12027char openpty ();
12028/* The GNU C library defines this for functions which it implements
12029 to always fail with ENOSYS. Some functions are actually named
12030 something starting with __ and the normal name is an alias. */
12031#if defined (__stub_openpty) || defined (__stub___openpty)
12032choke me
12033#else
12034char (*f) () = openpty;
12035#endif
12036#ifdef __cplusplus
12037}
12038#endif
12039
11841int 12040int
11842main () 12041main ()
11843{ 12042{
11844(void)getpt(); 12043return f != openpty;
11845 ; 12044 ;
11846 return 0; 12045 return 0;
11847} 12046}
11848_ACEOF 12047_ACEOF
11849rm -f conftest.$ac_objext conftest$ac_exeext 12048rm -f conftest.$ac_objext conftest$ac_exeext
11865 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12064 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11866 (eval $ac_try) 2>&5 12065 (eval $ac_try) 2>&5
11867 ac_status=$? 12066 ac_status=$?
11868 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12067 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11869 (exit $ac_status); }; }; then 12068 (exit $ac_status); }; }; then
11870 rxvt_cv_func_getpt=yes 12069 ac_cv_func_openpty=yes
11871else 12070else
11872 echo "$as_me: failed program was:" >&5 12071 echo "$as_me: failed program was:" >&5
11873sed 's/^/| /' conftest.$ac_ext >&5 12072sed 's/^/| /' conftest.$ac_ext >&5
11874 12073
11875rxvt_cv_func_getpt=no 12074ac_cv_func_openpty=no
11876fi 12075fi
11877rm -f conftest.err conftest.$ac_objext \ 12076rm -f conftest.err conftest.$ac_objext \
11878 conftest$ac_exeext conftest.$ac_ext 12077 conftest$ac_exeext conftest.$ac_ext
11879fi 12078fi
11880echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12079echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
11881echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12080echo "${ECHO_T}$ac_cv_func_openpty" >&6
11882if test x$rxvt_cv_func_getpt = xyes; then 12081if test $ac_cv_func_openpty = yes; then
11883 12082 :
12083else
12084 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12085echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12086if test "${ac_cv_lib_util_openpty+set}" = set; then
12087 echo $ECHO_N "(cached) $ECHO_C" >&6
12088else
12089 ac_check_lib_save_LIBS=$LIBS
12090LIBS="-lutil $LIBS"
12091cat >conftest.$ac_ext <<_ACEOF
12092/* confdefs.h. */
12093_ACEOF
12094cat confdefs.h >>conftest.$ac_ext
11884cat >>confdefs.h <<\_ACEOF 12095cat >>conftest.$ac_ext <<_ACEOF
11885#define HAVE_GETPT 1 12096/* end confdefs.h. */
12097
12098/* Override any gcc2 internal prototype to avoid an error. */
12099#ifdef __cplusplus
12100extern "C"
12101#endif
12102/* We use char because int might match the return type of a gcc2
12103 builtin and then its argument prototype would still apply. */
12104char openpty ();
12105int
12106main ()
12107{
12108openpty ();
12109 ;
12110 return 0;
12111}
11886_ACEOF 12112_ACEOF
12113rm -f conftest.$ac_objext conftest$ac_exeext
12114if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12115 (eval $ac_link) 2>conftest.er1
12116 ac_status=$?
12117 grep -v '^ *+' conftest.er1 >conftest.err
12118 rm -f conftest.er1
12119 cat conftest.err >&5
12120 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12121 (exit $ac_status); } &&
12122 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12123 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12124 (eval $ac_try) 2>&5
12125 ac_status=$?
12126 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12127 (exit $ac_status); }; } &&
12128 { ac_try='test -s conftest$ac_exeext'
12129 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12130 (eval $ac_try) 2>&5
12131 ac_status=$?
12132 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12133 (exit $ac_status); }; }; then
12134 ac_cv_lib_util_openpty=yes
12135else
12136 echo "$as_me: failed program was:" >&5
12137sed 's/^/| /' conftest.$ac_ext >&5
12138
12139ac_cv_lib_util_openpty=no
12140fi
12141rm -f conftest.err conftest.$ac_objext \
12142 conftest$ac_exeext conftest.$ac_ext
12143LIBS=$ac_check_lib_save_LIBS
12144fi
12145echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12146echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12147if test $ac_cv_lib_util_openpty = yes; then
12148 LIBS="$LIBS -lutil"
12149fi
12150
12151fi
11887 12152
11888fi 12153fi
11889 12154
11890echo "$as_me:$LINENO: checking for pty/tty type" >&5 12155echo "$as_me:$LINENO: checking for pty/tty type" >&5
11891echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12156echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11892if test "${rxvt_cv_ptys+set}" = set; then 12157if test "${rxvt_cv_ptys+set}" = set; then
11893 echo $ECHO_N "(cached) $ECHO_C" >&6 12158 echo $ECHO_N "(cached) $ECHO_C" >&6
11894else 12159else
11895 if test x$ac_cv_func_openpty = xyes; then 12160 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11896 rxvt_cv_ptys=OPENPTY 12161 rxvt_cv_ptys=OPENPTY
12162 else if test x$ac_cv_func_posix_openpt = xyes; then
12163 rxvt_cv_ptys=POSIX
11897 else if test x$ac_cv_func__getpty = xyes; then 12164 else if test x$ac_cv_func__getpty = xyes; then
11898 rxvt_cv_ptys=SGI4 12165 rxvt_cv_ptys=SGI4
11899 else if test -c /dev/ttyp20; then 12166 else if test -c /dev/ttyp20; then
11900 rxvt_cv_ptys=SCO 12167 rxvt_cv_ptys=SCO
11901 else if test -c /dev/ptym/clone; then 12168 else if test -c /dev/ptym/clone; then
11902 rxvt_cv_ptys=HPUX 12169 rxvt_cv_ptys=HPUX
11903 else if test x$rxvt_cv_func_getpt = xyes; then
11904 rxvt_cv_ptys=GLIBC
11905 else if test -c /dev/ptc -a -c /dev/pts; then 12170 else if test -c /dev/ptc -a -c /dev/pts; then
11906 rxvt_cv_ptys=PTC 12171 rxvt_cv_ptys=PTC
11907 else if test -c /dev/ptc -a -d /dev/pts; then 12172 else if test -c /dev/ptc -a -d /dev/pts; then
11908 rxvt_cv_ptys=PTC 12173 rxvt_cv_ptys=PTC
11909 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12174 else if test -c /dev/ptmx -a -c /dev/pts/0; then
11924 12189
11925fi 12190fi
11926echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12191echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
11927echo "${ECHO_T}$rxvt_cv_ptys" >&6 12192echo "${ECHO_T}$rxvt_cv_ptys" >&6
11928 12193
12194if test x$rxvt_cv_ptys = xPOSIX; then
12195
12196cat >>confdefs.h <<\_ACEOF
12197#define PTYS_ARE_POSIX 1
12198_ACEOF
12199
12200fi
11929if test x$rxvt_cv_ptys = xOPENPTY; then 12201if test x$rxvt_cv_ptys = xOPENPTY; then
11930 12202
11931cat >>confdefs.h <<\_ACEOF 12203cat >>confdefs.h <<\_ACEOF
11932#define PTYS_ARE_OPENPTY 1 12204#define PTYS_ARE_OPENPTY 1
11933_ACEOF 12205_ACEOF
11956fi 12228fi
11957if test x$rxvt_cv_ptys = xSGI4; then 12229if test x$rxvt_cv_ptys = xSGI4; then
11958 12230
11959cat >>confdefs.h <<\_ACEOF 12231cat >>confdefs.h <<\_ACEOF
11960#define PTYS_ARE__GETPTY 1 12232#define PTYS_ARE__GETPTY 1
11961_ACEOF
11962
11963fi
11964if test x$rxvt_cv_ptys = xCONVEX; then
11965
11966cat >>confdefs.h <<\_ACEOF
11967#define PTYS_ARE_GETPTY 1
11968_ACEOF 12233_ACEOF
11969 12234
11970fi 12235fi
11971if test x$rxvt_cv_ptys = xGLIBC; then 12236if test x$rxvt_cv_ptys = xGLIBC; then
11972 12237
12011 12276
12012fi 12277fi
12013 12278
12014if test x$support_xft = xyes; then 12279if test x$support_xft = xyes; then
12015 LIBS="$LIBS `pkg-config xft --libs`" 12280 LIBS="$LIBS `pkg-config xft --libs`"
12016 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12017 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12281 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12018 12282
12019 12283
12020for ac_header in X11/Xft/Xft.h 12284for ac_header in X11/Xft/Xft.h
12021do 12285do
12479#define ENCODING_ZH_EXT 1 12743#define ENCODING_ZH_EXT 1
12480_ACEOF 12744_ACEOF
12481 ;; 12745 ;;
12482 esac 12746 esac
12483done 12747done
12748
12749IF_PERL=\#
12750if test x$support_perl = xyes; then
12751 # Extract the first word of "perl5", so it can be a program name with args.
12752set dummy perl5; ac_word=$2
12753echo "$as_me:$LINENO: checking for $ac_word" >&5
12754echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12755if test "${ac_cv_path_PERL+set}" = set; then
12756 echo $ECHO_N "(cached) $ECHO_C" >&6
12757else
12758 case $PERL in
12759 [\\/]* | ?:[\\/]*)
12760 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12761 ;;
12762 *)
12763 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12764for as_dir in $PATH
12765do
12766 IFS=$as_save_IFS
12767 test -z "$as_dir" && as_dir=.
12768 for ac_exec_ext in '' $ac_executable_extensions; do
12769 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12770 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12771 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12772 break 2
12773 fi
12774done
12775done
12776
12777 ;;
12778esac
12779fi
12780PERL=$ac_cv_path_PERL
12781
12782if test -n "$PERL"; then
12783 echo "$as_me:$LINENO: result: $PERL" >&5
12784echo "${ECHO_T}$PERL" >&6
12785else
12786 echo "$as_me:$LINENO: result: no" >&5
12787echo "${ECHO_T}no" >&6
12788fi
12789
12790 # Extract the first word of "perl", so it can be a program name with args.
12791set dummy perl; ac_word=$2
12792echo "$as_me:$LINENO: checking for $ac_word" >&5
12793echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12794if test "${ac_cv_path_PERL+set}" = set; then
12795 echo $ECHO_N "(cached) $ECHO_C" >&6
12796else
12797 case $PERL in
12798 [\\/]* | ?:[\\/]*)
12799 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12800 ;;
12801 *)
12802 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12803for as_dir in $PATH
12804do
12805 IFS=$as_save_IFS
12806 test -z "$as_dir" && as_dir=.
12807 for ac_exec_ext in '' $ac_executable_extensions; do
12808 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12809 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12810 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12811 break 2
12812 fi
12813done
12814done
12815
12816 ;;
12817esac
12818fi
12819PERL=$ac_cv_path_PERL
12820
12821if test -n "$PERL"; then
12822 echo "$as_me:$LINENO: result: $PERL" >&5
12823echo "${ECHO_T}$PERL" >&6
12824else
12825 echo "$as_me:$LINENO: result: no" >&5
12826echo "${ECHO_T}no" >&6
12827fi
12828
12829
12830 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12831echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12832 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12833
12834 save_CXXFLAGS="$CXXFLAGS"
12835 save_LIBS="$LIBS"
12836 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12837 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12838 cat >conftest.$ac_ext <<_ACEOF
12839/* confdefs.h. */
12840_ACEOF
12841cat confdefs.h >>conftest.$ac_ext
12842cat >>conftest.$ac_ext <<_ACEOF
12843/* end confdefs.h. */
12844
12845#include <EXTERN.h>
12846#include <perl.h>
12847#include <XSUB.h>
12848
12849int
12850main ()
12851{
12852
12853 PerlInterpreter *perl = perl_alloc ();
12854
12855 ;
12856 return 0;
12857}
12858_ACEOF
12859rm -f conftest.$ac_objext conftest$ac_exeext
12860if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12861 (eval $ac_link) 2>conftest.er1
12862 ac_status=$?
12863 grep -v '^ *+' conftest.er1 >conftest.err
12864 rm -f conftest.er1
12865 cat conftest.err >&5
12866 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12867 (exit $ac_status); } &&
12868 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12869 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12870 (eval $ac_try) 2>&5
12871 ac_status=$?
12872 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12873 (exit $ac_status); }; } &&
12874 { ac_try='test -s conftest$ac_exeext'
12875 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12876 (eval $ac_try) 2>&5
12877 ac_status=$?
12878 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12879 (exit $ac_status); }; }; then
12880 rxvt_perl_link=yes
12881else
12882 echo "$as_me: failed program was:" >&5
12883sed 's/^/| /' conftest.$ac_ext >&5
12884
12885rxvt_perl_link=no
12886fi
12887rm -f conftest.err conftest.$ac_objext \
12888 conftest$ac_exeext conftest.$ac_ext
12889 CXXFLAGS="$save_CXXFLAGS"
12890 LIBS="$save_LIBS"
12891
12892 if test x$rxvt_perl_link = xyes; then
12893 echo "$as_me:$LINENO: result: ok" >&5
12894echo "${ECHO_T}ok" >&6
12895
12896cat >>confdefs.h <<\_ACEOF
12897#define ENABLE_PERL 1
12898_ACEOF
12899
12900 IF_PERL=
12901 PERL_O=rxvtperl.o
12902 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12903 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12904 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12905 else
12906 support_perl=no
12907 echo "$as_me:$LINENO: result: no, unable to link" >&5
12908echo "${ECHO_T}no, unable to link" >&6
12909 fi
12910 else
12911 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12912echo "$as_me: error: no working perl found" >&2;}
12913 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12914 support_perl=no
12915 fi
12916fi
12917
12918
12919
12920
12921
12922
12923
12924if test x$support_perl = xyes; then
12925 support_frills=yes
12926fi
12484 12927
12485 12928
12486CFLAGS=${CFLAGS--O} 12929CFLAGS=${CFLAGS--O}
12487LDFLAGS=${LDFLAGS--O} 12930LDFLAGS=${LDFLAGS--O}
12488 12931
13269s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13712s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13270s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13713s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13271s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13714s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13272s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13715s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13273s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13716s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13717s,@PERL@,$PERL,;t t
13718s,@PERLLIB@,$PERLLIB,;t t
13719s,@PERLFLAGS@,$PERLFLAGS,;t t
13720s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13721s,@IF_PERL@,$IF_PERL,;t t
13722s,@PERL_O@,$PERL_O,;t t
13274s,@DEBUG@,$DEBUG,;t t 13723s,@DEBUG@,$DEBUG,;t t
13275s,@DINCLUDE@,$DINCLUDE,;t t 13724s,@DINCLUDE@,$DINCLUDE,;t t
13276s,@DLIB@,$DLIB,;t t 13725s,@DLIB@,$DLIB,;t t
13277s,@include_stdint_h@,$include_stdint_h,;t t 13726s,@include_stdint_h@,$include_stdint_h,;t t
13278s,@include_stdarg_h@,$include_stdarg_h,;t t 13727s,@include_stdarg_h@,$include_stdarg_h,;t t
13819 utmp file: $rxvt_cv_path_utmp 14268 utmp file: $rxvt_cv_path_utmp
13820 utmpx file: $rxvt_cv_path_utmpx 14269 utmpx file: $rxvt_cv_path_utmpx
13821 wtmp file: $rxvt_cv_path_wtmp 14270 wtmp file: $rxvt_cv_path_wtmp
13822 wtmpx file: $rxvt_cv_path_wtmpx 14271 wtmpx file: $rxvt_cv_path_wtmpx
13823 lastlog file: $rxvt_cv_path_lastlog 14272 lastlog file: $rxvt_cv_path_lastlog
13824 ttys/ttytab file: $rxvt_cv_path_ttytab" 14273 ttys/ttytab file: $rxvt_cv_path_ttytab
14274 embedded perl: $support_perl"
13825 echo 14275 echo
13826fi 14276fi
13827if test x$term != x; then 14277if test x$term != x; then
13828 echo " set TERM to: $term" 14278 echo " set TERM to: $term"
13829fi 14279fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines